TLINE is a tiny in-line editor module.  Only backspace and delete 
are available for editing input line.  Rejects other control 
characters, except carriage return and control-C.  Carriage 
return ends edit, buffer contains null-terminated string.  ^C 
aborts editor, buffer contents not terminated.  Version 1.2 has 
some code optimizations courtesy of Howard Goldstein.
